Centos – VNC server failed to start CentOS

centosrdpvnc

I followed a tutorial on how to install and get VNCserver to run on CentOS 6 (since freenx isnt supported yet) and I keep getting

Starting VNC server: 1:user [FAILED]

How do I figure out whats going on here? Im new to Linux/CentOS and im trying to get RDP going so I can step away from SSH as much as possible (you know us Windows users love our pretty GUI's). So, where is the error log at and how do I find it? Or maybe someone else has experienced this and knows the solution based on the simple error given?

After running in debug mode, here is my error

+ . /etc/init.d/functions
++ TEXTDOMAIN=initscripts
++ umask 022
++ PATH=/sbin:/usr/sbin:/bin:/usr/bin
++ export PATH
++ '[' -z '' ']'
++ COLUMNS=80
++ '[' -z '' ']'
+++ /sbin/consoletype
++ CONSOLETYPE=pty
++ '[' -f /etc/sysconfig/i18n -a -z '' -a -z '' ']'
++ . /etc/profile.d/lang.sh
++ unset LANGSH_SOURCED
++ '[' -z '' ']'
++ '[' -f /etc/sysconfig/init ']'
++ . /etc/sysconfig/init
+++ BOOTUP=color
+++ RES_COL=60
+++ MOVE_TO_COL='echo -en \033[60G'
+++ SETCOLOR_SUCCESS='echo -en \033[0;32m'
+++ SETCOLOR_FAILURE='echo -en \033[0;31m'
+++ SETCOLOR_WARNING='echo -en \033[0;33m'
+++ SETCOLOR_NORMAL='echo -en \033[0;39m'
+++ PROMPT=yes
+++ AUTOSWAP=no
+++ ACTIVE_CONSOLES='/dev/tty[1-6]'
+++ SINGLE=/sbin/sushell
++ '[' pty = serial ']'
++ __sed_discard_ignored_files='/\(~\|\.bak\|\.orig\|\.rpmnew\|\.rpmorig\|\.rpmsave\)$/d'
+ '[' -r /etc/sysconfig/vncservers ']'
+ . /etc/sysconfig/vncservers
++ VNCSERVERS='1:larry 2:moe 3:curly'
++ VNCSERVERARGS[1]='-geometry 800x600'
++ VNCSERVERARGS[2]='-geometry 640x480'
++ VNCSERVERARGS[3]='-geometry 640x480'
+ prog='VNC server'
+ RETVAL=0
+ case "$1" in
+ start
+ '[' 0 '!=' 0 ']'
+ . /etc/sysconfig/network
++ NETWORKING=yes
++ HOSTNAME=vps.binaryvisionaries.com
++ DOMAINNAME=server.name
++ GATEWAYDEV=venet0
++ NETWORKING_IPV6=yes
++ IPV6_DEFAULTDEV=venet0
+ '[' yes = no ']'
+ '[' -x /usr/bin/vncserver ']'
+ '[' -x /usr/bin/Xvnc ']'
+ echo -n 'Starting VNC server: '
Starting VNC server: + RETVAL=0
+ '[' '!' -d /tmp/.X11-unix ']'
+ for display in '${VNCSERVERS}'
+ SERVS=1
+ echo -n '1:larry '
1:larry + DISP=1
+ USER=larry
+ VNCUSERARGS='-geometry 800x600'
+ runuser -l larry -c 'cd ~larry && [ -r .vnc/passwd ] && vncserver :1 -geometry 800x600'
+ RETVAL=1
+ '[' 1 -eq 0 ']'
+ break
+ '[' -z 1 ']'
+ '[' 1 -eq 0 ']'
+ failure 'vncserver start'
+ local rc=1
+ '[' color '!=' verbose -a -z '' ']'
+ echo_failure
+ '[' color = color ']'
+ echo -en '\033[60G'
                                                           + echo -n '['
[+ '[' color = color ']'
+ echo -en '\033[0;31m'
+ echo -n FAILED
FAILED+ '[' color = color ']'
+ echo -en '\033[0;39m'
+ echo -n ']'
]+ echo -ne '\r'
+ return 1
+ '[' -x /usr/bin/plymouth ']'
+ /usr/bin/plymouth --details
+ return 1
+ echo

+ '[' 1 -eq 98 ']'
+ return 1
+ exit 1

Best Answer

What ever user(s) you have in your /etc/sysconfig/vncservers you need to have logged in or su'd to that (those) users and run vncpasswd to have it create the hidden directory .vnc in that (those) users home directory. Inside the hidden .vnc directory will be a passwd file. Once you have run vncpasswd for each user then run service vncserver start and it should load.

Related Topic